petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCBDDCGetPrimalVerticesIS

Get user defined primal vertices set with PCBDDCSetPrimalVerticesIS()

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetPrimalVerticesIS(PC pc, IS *is)

Collective

### Input Parameters

pc -the preconditioning context

### Output Parameters

is -index set of primal vertices in global numbering (NULL if not set)

### Notes

### See Also

PCBDDC, PCBDDCSetPrimalVerticesIS(), PCBDDCSetPrimalVerticesLocalIS(), PCBDDCGetPrimalVerticesLocalIS()

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCGetPrimalVerticesIS_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages